Skip to Content
Chameleon Docs
API referencePublic decks

Get public manual

One manual published for everyone.

GET
/api/public/manuals/{id}

One manual published for everyone.

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response Body

The public manual

application/json
  1. response
id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
title*string
cardCount*integer
packUrl*string
Formaturi
categoryId*|
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
categoryName*string|null
tags*array<string>
publishedAt*|
Formatdate-time
ownerUsername*string|null
Example Request
curl -X GET 'https://www.chameleonlabs.org/api/public/manuals/string'
Example Response
{  "id": "string",  "title": "string",  "cardCount": 0,  "packUrl": "http://example.com",  "categoryId": "string",  "categoryName": "string",  "tags": [    "string"  ],  "publishedAt": "2019-08-24T14:15:22Z",  "ownerUsername": "string"}